For the complete documentation index, see llms.txt. This page is also available as Markdown.

Enroll new customer to loyalty program

Enroll new customer to loyalty program. If the mobile number is not in the country of the tenant you must add the country code (e.g. +358 for Finland). The store is where the enroll was made from.

Required permissions: CUSTOMER

post
/tenants/{tenantUid}/customers/loyalty
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
mobilestringRequired
mobileCountryCodestringOptional
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

post/tenants/{tenantUid}/customers/loyalty
POST /v2/tenants/{tenantUid}/customers/loyalty HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 62

{
  "mobile": "text",
  "mobileCountryCode": "text",
  "storeUid": "text"
}
204

No Content

No content

Last updated

Was this helpful?